/* Copyright (C) 2005 Stephen Street / StreetFire Sound Labs
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef PXA2XX_SPI_SSP_H_
#define PXA2XX_SPI_SSP_H_

struct pxa2xx_spi_master {
	u16 bus_num;
	u32 clock_enable;
	u16 num_chipselect;
};

struct pxa2xx_spi_chip {
	u8 mode;
	u8 tx_threshold;
	u8 rx_threshold;
	u8 bits_per_word;
	u16 chip_select_gpio;
	u32 timeout_microsecs;
};

#endif /*PXA2XX_SPI_SSP_H_*/ 
