/*
 * include/asm-arm/arch-s3c2410/a9m24x0.h
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 *	30-March-2005 	Add quad UART definition:	Joachim Jaeger (jjaeger@fsforth.de)
 *	30-March-2005 	File copied from smdk2410.h	Joachim Jaeger (jjaeger@fsforth.de)
 *	15-July-2004 	Add ethernet definition:	Roc Wu (pwu@jadechip.com)
 *
 */
#ifndef _INCLUDE_A9M24X0_H_
#define _INCLUDE_A9M24X0_H_

#include <linux/config.h>

#define A9M24X0_ETH_IO			0xE0000000
#define A9M24X0_ETH_IRQ 		IRQ_EINT9

#define A9M24X0_QUART_IO		0xE0100000
#define A9M24X0_QUART_IRQ 		IRQ_EINT13

#endif // _INCLUDE_A9M24X0_H_
