/***********************************************************************
 *
 * Copyright (C) 2005 by FS Forth-Systeme GmbH.
 * All rights reserved.
 *
 * $Id: ns9360_config.h,v 1.4 2006-08-16 13:21:46 bwesterm Exp $
 * @Author:  Jonas Dietsche <jdietsche at fsforth.de>
 * @Descr: Configuration file for NS9360 platforms
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 *
 ***********************************************************************/

#ifndef FS_NS9360_CONFIG_H
#define FS_NS9360_CONFIG_H

#include <linux/config.h>	/* system configuration */

#if defined (CONFIG_MACH_CC9C) || defined (CONFIG_MACH_CCW9C)
#define NS_SYS_CLK_FREQ	309657600
#else
# define NS_SYS_CLK_FREQ	353894400
#endif /* CONFIG_MACH_CC9C */
#endif /* FS_NS9360_CONFIG_H */
