#/bin/bash

set -e
. ./common_config.sh 
#ftp://ftp.gnu.org/gnu/pth/pth-2.0.7.tar.g#http://www.auto.tuwien.ac.at/~mkoegler/pth/pthsem-2.0.7.tar.gza
URL="http://www.auto.tuwien.ac.at/~mkoegler/eib/"
VERSION="1.3"
PACKAGE="argp-standalone"


SRC_FILE="${PACKAGE}-${VERSION}.tar.gz"
SRC_DIR="${PACKAGE}-${VERSION}"

#DEPS="${STAGING_DIR}/lib/libexpat.so ${STAGING_DIR}/lib/libdaemon.a"


CFLAGS="-I${DIGI_DIR}/include -I${STAGING_DIR}/include "
LDFLAGS="-L${DIGI_DIR}/lib -L${STAGING_DIR}/lib "
PKG_CONFIG_PATH="${STAGING_DIR}/lib/pkgconfig"


GENERAL_CONFIG_OPTIONS="--host=arm-linux\
            --target=arm-linux\
            --prefix=/\
"

CUSTOM_CONFIG_OPTIONS="\
"
#  --enable-pthread\

# CHECK DEP!
for dep in ${DEPS}
do
  if [ ! -f ${dep} ]; then
    echo "Please build first ${dep}"
    exit
  fi
done



${DOWNLOAD_CMD} ${URL}${SRC_FILE}
echo "Uncompress..."
tar zxf ${SRC_FILE}

#echo "Change dir..."
cd ${SRC_DIR}

echo "PATCH"
#patch -p1 < ../patch/avahi_chroot_wocap.patch

echo "Configure...."
# intltoolize -c -f --automake
# autoreconf -f -i 
 PKG_CONFIG_PATH="${PKG_CONFIG_PATH}" LDFLAGS="${LDFLAGS}" CFLAGS="${CFLAGS}"\
 ./configure ${GENERAL_CONFIG_OPTIONS} ${CUSTOM_CONFIG_OPTIONS}

echo "Make........."
make || exit $?
TARGET_DIR=${TARGET_DIR}
install -d ${TARGET_DIR}
install -d ${STAGING_DIR}
make  DESTDIR=${STAGING_DIR}  install

#mkdir -p ${TARGET_DIR}/lib
#cp -dpf ${STAGING_DIR}/lib/libpthsem.so* ${TARGET_DIR}/lib/
#arm-linux-strip ${TARGET_DIR}/lib/libpthsem.so*
#cp -dpf ${STAGING_DIR}/lib/libpthread.so* ${TARGET_DIR}/lib/
#arm-linux-strip ${TARGET_DIR}/lib/libpthread.so*

echo "========== installation finish ==========" 
